Google は、黒人コミュニティに対する人種平等の促進に取り組んでいます。取り組みを見る

Android のセキュリティに関する公開情報 - 2019 年 11 月

2019 年 11 月 4 日公開 | 2019 年 12 月 16 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を及ぼすセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2019-11-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。下記の問題に対するソースコードのパッチは、これから 48 時間の間に Android オープンソース プロジェクト(AOSP)リポジトリにリリースされます。AOSP リンクが利用可能になり次第、この公開情報を改訂します。

下記の問題のうち最も重大度の高いものは、システム コンポーネントに重大なセキュリティの脆弱性があるため、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行できるようになるおそれがあることです。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。

Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と、Google Play プロテクトなどのサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2019-11-01 の脆弱性の詳細

以下に、パッチレベル 2019-11-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。下記の表に、問題の内容について説明し、CVE ID、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を示します。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。Android 10 以降を搭載したデバイスは、セキュリティ アップデートと Google Play システム アップデートを受信することがあります。

フレームワーク

このコンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2192 A-138441555 EoP 9、10
CVE-2019-2193 A-132261064 [2] EoP 8.0、8.1、9、10
CVE-2019-2195 A-139186193 EoP 8.0、8.1、9、10
CVE-2019-2199 A-138650665 EoP 10
CVE-2019-2211 A-135269669 [2] ID 8.0、8.1、9、10
CVE-2019-2197 A-138529441 ID 8.0、8.1、9、10

ライブラリ

ライブラリの脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、権限のないプロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2201 A-120551338 RCE 8.0、8.1、9、10

メディア フレームワーク

このコンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2202 A-137283376 EoP 9、10
CVE-2019-2203 A-137370777 EoP 8.0、8.1、9、10

システム

システムの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2204 A-138442295 RCE 重大 9
CVE-2019-2205 A-139806216 RCE 重大 8.0、8.1、9、10
CVE-2019-2206 A-139188579 RCE 重大 8.0、8.1、9、10
CVE-2019-2233 A-140486529 EoP 10
CVE-2019-2207 A-124524315 EoP 8.0、8.1、9、10
CVE-2019-2212 A-139690488 [2] [3] ID 8.0、8.1、9、10
CVE-2019-2208 A-138441919 ID 9
CVE-2019-2209 A-139287605 ID 8.0、8.1、9、10

Google Play システム アップデート

今月は Google Play システム アップデートで対処されたセキュリティ問題はありません。

セキュリティ パッチレベル 2019-11-05 の脆弱性の詳細

以下に、パッチレベル 2019-11-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。影響を受けるコンポーネントごとに脆弱性を分類し、CVE、関連する参照先、脆弱性のタイプ重大度、コンポーネント(該当する場合)、更新対象の AOSP バージョン(該当する場合)などの詳細を記載しています。該当する場合は、バグ ID の欄に、その問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。

フレームワーク

フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリが、アプリデータを他のアプリから分離するオペレーティング システムの保護を回避できるようになるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2196 A-135269143 [2] [3] [4] ID 8.0、8.1、9、10
CVE-2019-2198 A-135270103 [2] [3] [4] ID 8.0、8.1、9、10

システム

システムの脆弱性により、攻撃者が特別に細工した通信を使用して追加権限を取得するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2036 A-79703832 EoP 8.0、8.1、9、10

カーネル コンポーネント

カーネル コンポーネントの最も重大な脆弱性により、ローカルの攻撃者が特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2019-2213 A-133758011
アップストリーム カーネル
EoP Binder ドライバ
CVE-2019-2214 A-136210786
アップストリーム カーネル
EoP Binder ドライバ
CVE-2019-11833 A-133041647
アップストリーム カーネル
ID ext4 ファイル システム

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2019-2310 A-78906648
QC-CR#2253243
該当なし Wi-Fi
CVE-2019-10545 A-138940225
QC-CR#2353418
該当なし グラフィックス ドライバ
CVE-2019-10571 A-138940226
QC-CR#2363085
該当なし グラフィックス ドライバ

Qualcomm クローズドソース コンポーネント

Qualcomm クローズドソース コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2019-10493 A-132108736* 該当なし 重大 クローズドソース コンポーネント
CVE-2019-10511 A-132097484* 該当なし 重大 クローズドソース コンポーネント
CVE-2019-2288 A-132108853* 該当なし 重大 クローズドソース コンポーネント
CVE-2019-2320 A-132108539* 該当なし 重大 クローズドソース コンポーネント
CVE-2019-2321 A-132108927* 該当なし 重大 クローズドソース コンポーネント
CVE-2019-10484 A-132108752* 該当なし クローズドソース コンポーネント
CVE-2019-10485 A-132108463* 該当なし クローズドソース コンポーネント
CVE-2019-2319 A-132107963* 該当なし クローズドソース コンポーネント
CVE-2019-2337 A-132108895* 該当なし クローズドソース コンポーネント
CVE-2019-2338 A-132108464* 該当なし クローズドソース コンポーネント
CVE-2019-10559 A-137030660* 該当なし クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問とその回答について、以下をご確認ください。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

  • セキュリティ パッチレベル 2019-11-01 以降では、セキュリティ パッチレベル 2019-11-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2019-11-05 以降では、セキュリティ パッチレベル 2019-11-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

デバイス メーカーは、こうしたアップデートを組み込む場合、パッチレベル文字列を以下のとおり設定する必要があります。

  • [ro.build.version.security_patch]:[2019-11-01]
  • [ro.build.version.security_patch]:[2019-11-05]

Android 10 以降を搭載した一部のデバイスでは、Google Play システム アップデートに、セキュリティ パッチレベル 2019-11-01 と一致する日付文字列が含まれます。 セキュリティ アップデートのインストール方法について詳しくは、こちらの記事をご覧ください。

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーには、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2019-11-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2019-11-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属する組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、「参照」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必要ありません。また、Android デバイスやチップセットのメーカー(GoogleHuaweiLGEMotorolaNokiaSamsung など)からも、各社製品に固有のセキュリティの脆弱性に関する詳細情報が公開される場合があります。

バージョン

バージョン 日付 メモ
1.0 2019 年 11 月 4 日 情報公開
1.1 2019 年 11 月 5 日 公開情報を改訂し AOSP リンクを追加
1.2 2019 年 12 月 16 日 CVE の表を改訂